Bug 1017954 - Add unique CSS IDs to menu elements
Add unique CSS IDs to menu elements
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Walden Raines
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 16:36 EDT by Og Maciel
Modified: 2014-03-06 12:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-06 12:44:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2013-10-10 16:36:17 EDT
Description of problem:

In order to make UI automation simpler (finding elements in the web ui), we rely on very specific CSS IDs (unique) so that we can click on things via Selenium's web driver. When CSS is not available, then we need to resort to xpath which uses more resources... sometimes, there's nothing unique even using xpath and then we need to rely on the order of the items (eg. second LI item from UL with clas FOO). I'd like to request that all menus and submenus get a unique ID so that we can navigate through the menus and start testing localization as well (so we don't have to rely on text).

Version-Release number of selected component (if applicable):

Current code

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Walden Raines 2013-10-11 11:41:06 EDT
After discussing this with omaciel we have agreed that this bug will address the top level menu items and the old dialog confirmation/cancel buttons.
Comment 5 Walden Raines 2014-03-06 12:44:57 EST
This has been done in Foreman.

Note You need to log in before you can comment on or make changes to this bug.